Subject: Re: bug#1388: 23.0.60; Emacs shell problem with echo "1+1" | bc

From: Glenn Morris <[email-masked]>
Date: Fri, 28 Nov 2008 21:34:44 -0500

Stefan Monnier wrote:

> So maybe you can convince me that it's not making things worse in
> other circumstances, or that those circumstances are much less
> likely (or didn't work well anyway in the past for other reasons).

Let's see:

i) I didn't change the behaviour for the first element in a pipeline.

ii) For the "middle" elements, it must be more correct to uses pipes,
must it not?

iii) For the last element, I dunno. One has to use pipes for the bc
case to get the right result. Checking if the final command in a
pipeline looks like "bc" and if so doing something special seems like
an ugly hack. That's about all I can say.